<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>gov.va.med.repos.lib</groupId>
	<version>3.1.2-SNAPSHOT</version>
	<artifactId>repos-modules</artifactId>
	<name>Repositories Common Components and Modules</name>
	<packaging>pom</packaging>
	<!-- <modules> -->
	<!-- <module>junit-ext/main</module> -->
	<!-- <module>common/main</module> -->
	<!-- <module>testharness/main</module> -->
	<!-- <module>aspects/main</module> -->
	<!-- <module>hapi-ext/main</module> -->
	<!-- <module>log4j-ext/main</module> -->
	<!-- </modules> -->
	<properties>
		<modules.test.groups>checkintest</modules.test.groups>
		<!-- <org.springframework.version>4.1.7.RELEASE</org.springframework.version> -->
		<org.springframework.version>4.2.7.RELEASE</org.springframework.version>
		<weblogic.version>12.1.2.0</weblogic.version>
		<build.reports.outputsite>scp://DNS  apphdrrb01.DNS   .med.DNS   :/var/www/html/sites/repositories/modules/</build.reports.outputsite>
		<build.reports.url>http://DNS  apphdrrb01.DNS   .med.DNS   /sites/repositories/modules/</build.reports.url>
		<log4j.version>2.4</log4j.version>
	</properties>
<!-- 
	<scm>
		<url>https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_parent_main_stream_rws</url>
		<connection>scm:jazz:https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_parent_main_stream_rws</connection>
		<developerConnection>scm:jazz:https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_parent_main_stream_rws</developerConnection>
	</scm>
-->

    <scm>
        <url>${env.SCM_URL}:${env.PARENT_RB_RWS}</url>
        <connection>scm:jazz:${env.SCM_URL}:${env.PARENT_RB_RWS}</connection>
        <developerConnection>scm:jazz:${env.SCM_URL}:${env.PARENT_RB_RWS}</developerConnection>
    </scm>
    
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.mule.transports</groupId>
				<artifactId>mule-transport-ejb</artifactId>
				<version>3.7.0</version>
			</dependency>
			<dependency>
				<groupId>org.mule.transports</groupId>
				<artifactId>mule-transport-vm</artifactId>
				<version>3.7.0</version>
			</dependency>
			<dependency>
				<groupId>org.mule.modules</groupId>
				<artifactId>mule-module-client</artifactId>
				<version>3.7.0</version>
			</dependency>
			<dependency>
				<groupId>org.mule.modules</groupId>
				<artifactId>mule-module-xml</artifactId>
				<version>3.7.0</version>
			</dependency>
			<dependency>
				<groupId>delivery.service</groupId>
				<artifactId>DS5client</artifactId>
				<version>5.0</version>
			</dependency>
			<dependency>
				<groupId>delivery.service</groupId>
				<artifactId>core</artifactId>
				<version>5.0</version>
			</dependency>
			<dependency>
				<groupId>org.mule</groupId>
				<artifactId>mule-core</artifactId>
				<version>3.7.0</version>
			</dependency>
			<dependency>
				<groupId>org.aspectj</groupId>
				<artifactId>aspectjweaver</artifactId>
				<version>1.8.6</version>
			</dependency>
			<dependency>
				<groupId>javax.transaction</groupId>
				<artifactId>jta</artifactId>
				<version>1.0.1B</version>
			</dependency>
			<dependency>
				<groupId>javax.persistence</groupId>
				<artifactId>persistence-api</artifactId>
				<version>1.0.2</version>
			</dependency>
			<dependency>
				<groupId>jaxen</groupId>
				<artifactId>jaxen</artifactId>
				<version>1.1.3</version>
				<exclusions>
					<exclusion>
						<groupId>maven-plugins</groupId>
						<artifactId>maven-cobertura-plugin</artifactId>
					</exclusion>
					<exclusion>
						<groupId>maven-plugins</groupId>
						<artifactId>maven-findbugs-plugin</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>commons-codec</groupId>
				<artifactId>commons-codec</artifactId>
				<version>1.10</version>
			</dependency>
			<dependency>
				<groupId>commons-beanutils</groupId>
				<artifactId>commons-beanutils</artifactId>
				<version>1.9.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-collections4</artifactId>
				<version>4.0</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-lang3</artifactId>
				<version>3.4</version>
			</dependency>
			<dependency>
				<groupId>commons-logging</groupId>
				<artifactId>commons-logging</artifactId>
				<version>1.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-dbcp2</artifactId>
				<version>2.1</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-digester3</artifactId>
				<version>3.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-pool2</artifactId>
				<version>2.4.2</version>
			</dependency>
			<dependency>
				<groupId>commons-io</groupId>
				<artifactId>commons-io</artifactId>
				<version>2.4</version>
			</dependency>
			<dependency>
				<groupId>commons-jxpath</groupId>
				<artifactId>commons-jxpath</artifactId>
				<version>1.3</version>
			</dependency>
			<dependency>
				<groupId>com.intersys</groupId>
				<artifactId>cachedb</artifactId>
				<version>2015.2.1.705</version>
			</dependency>
			<dependency>
				<groupId>ehcache</groupId>
				<artifactId>ehcache</artifactId>
				<version>3.1.2</version>
			</dependency>
			<dependency>
				<groupId>dom4j</groupId>
				<artifactId>dom4j</artifactId>
				<version>1.6.1-PATCH01</version>
			</dependency>
			<dependency>
				<groupId>xml-apis</groupId>
				<artifactId>xml-apis</artifactId>
				<version>1.4.01</version>
				<scope>runtime</scope>
			</dependency>
			<dependency>
				<groupId>hsqldb</groupId>
				<artifactId>hsqldb</artifactId>
				<version>1.8.0.5</version>
			</dependency>
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>4.12</version>
			</dependency>
			<dependency>
				<groupId>javax.servlet</groupId>
				<artifactId>servlet-api</artifactId>
				<version>2.4</version>
			</dependency>
			<dependency>
				<groupId>org.apache.logging.log4j</groupId>
				<artifactId>log4j-api</artifactId>
				<version>${log4j.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.logging.log4j</groupId>
				<artifactId>log4j-core</artifactId>
				<version>${log4j.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.logging.log4j</groupId>
				<artifactId>log4j-jcl</artifactId>
				<version>${log4j.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.logging.log4j</groupId>
				<artifactId>log4j-slf4j-impl</artifactId>
				<version>${log4j.version}</version>
			</dependency>
			<dependency>
				<groupId>oracle</groupId>
				<artifactId>ojdbc6</artifactId>
				<version>11.2.0.3</version>
			</dependency>
			<dependency>
				<groupId>org.apache.geronimo.specs</groupId>
				<artifactId>geronimo-javamail_1.3.1_spec</artifactId>
				<version>1.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.geronimo.specs</groupId>
				<artifactId>geronimo-j2ee_1.4_spec</artifactId>
				<version>1.0</version>
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-core</artifactId>
				<version>4.3.10.Final</version>
				<!-- <version>5.2.1.Final</version> -->
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<!-- <groupId>org.hibernate.common</groupId> -->
				<artifactId>hibernate-commons-annotations</artifactId>
				<version>4.0.5.Final</version>
				<!-- <version>5.0.1.Final</version> -->
			</dependency>
			<dependency>
				<groupId>org.jboss.logging</groupId>
				<artifactId>jboss-logging</artifactId>
				<version>3.3.0.Final</version>
			</dependency>
			<dependency>
				<groupId>org.slf4j</groupId>
				<artifactId>slf4j-log4j12</artifactId>
				<version>1.7.14</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-core</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-expression</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-beans</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-aop</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-aspects</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context-support</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-tx</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-jdbc</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-orm</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-oxm</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-jms</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-web</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-webmvc</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-test</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>javax.annotation</groupId>
				<artifactId>jsr250-api</artifactId>
				<version>1.0</version>
			</dependency>
			<dependency>
				<groupId>poi</groupId>
				<artifactId>poi-2.5.1-final</artifactId>
				<version>20040804</version>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wljmsclient</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wlclient</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wls-api</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wlfullclient</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wljmxclient</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>weblogic</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wlthint3client</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>xerces</groupId>
				<artifactId>xercesImpl</artifactId>
				<version>2.11.0</version>
			</dependency>
			<dependency>
				<groupId>xmlbeans</groupId>
				<artifactId>xbean</artifactId>
				<version>2.2.0</version>
			</dependency>
			<dependency>
    			<groupId>xmlunit</groupId>
    			<artifactId>xmlunit</artifactId>
    			<version>1.6</version>
			</dependency>
 			<dependency>
				<groupId>xpp3</groupId>
				<artifactId>xpp3</artifactId>
				<version>1.1.4c</version>
			</dependency>			
			<!-- <dependency>
				<groupId>ca.uhn.hapi.fhir</groupId>
				<artifactId>hapi-fhir-base</artifactId>
				<version>1.0</version>
			</dependency> -->
			<dependency>
				<groupId>ca.uhn.hapi</groupId>
				<artifactId>hapi-base</artifactId>
				<version>2.2</version>
			</dependency>
			<dependency>
				<groupId>ca.uhn.hapi</groupId>
				<artifactId>hapi-structures-v24</artifactId>
				<version>2.2</version>
			</dependency>
			<dependency>
				<groupId>ca.uhn.hapi</groupId>
				<artifactId>hapi-structures-v231</artifactId>
				<version>2.2</version>
			</dependency>
			<dependency>
				<groupId>ca.uhn.hapi</groupId>
				<artifactId>hapi-structures-v21</artifactId>
				<version>2.2</version>
			</dependency>
			<dependency>
				<groupId>net.sf.saxon</groupId>
				<artifactId>Saxon-HE</artifactId>
				<version>9.7.0-7</version>
			</dependency>
			<dependency>
				<groupId>org.easymock</groupId>
				<artifactId>easymock</artifactId>
				<version>3.4</version>
			</dependency>
			<dependency>
				<groupId>org.easymock</groupId>
				<artifactId>easymockclassextension</artifactId>
				<version>3.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.activemq</groupId>
				<artifactId>activemq-all</artifactId>
				<version>5.2.0</version>
			</dependency>
			<dependency>
				<groupId>org.apache.xbean</groupId>
				<artifactId>xbean-spring</artifactId>
				<version>4.5</version>
			</dependency>
			<dependency>
				<groupId>aopalliance</groupId>
				<artifactId>aopalliance</artifactId>
				<version>1.0</version>
			</dependency>
			<dependency>
				<groupId>org.powermock</groupId>
				<artifactId>powermock-module-junit4</artifactId>
				<version>1.6.4</version>
			</dependency>
			<dependency>
				<groupId>com.thoughtworks.xstream</groupId>
				<artifactId>xstream</artifactId>
				<version>1.4.9</version>
			</dependency>
			<dependency>
				<groupId>hdr</groupId>
				<artifactId>hdr-hl7</artifactId>
				<version>1.8</version>
			</dependency>
			<dependency>
				<groupId>com.jayway.jsonpath</groupId>
				<artifactId>json-path</artifactId>
				<version>2.0.0</version>
			</dependency>
			<dependency>
				<groupId>net.minidev</groupId>
				<artifactId>json-smart</artifactId>
				<version>2.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.juddi.scout</groupId>
				<artifactId>scout</artifactId>
				<version>1.2.7</version>
				<!-- exclusions should be placed closest to the module that needs to exclude these - check all child modules before removing -->
				<!-- <exclusions> <exclusion> <groupId>javax.xml.bind</groupId> <artifactId>jaxb-impl</artifactId> </exclusion> <exclusion> <artifactId>jaxb-impl</artifactId> 
					<groupId>com.sun.xml.bind</groupId> </exclusion> <exclusion> <artifactId>jaxb-api</artifactId> <groupId>javax.xml.bind</groupId> </exclusion> </exclusions> -->
			</dependency>
			<dependency>
				<groupId>org.apache.mina</groupId>
				<artifactId>mina-core</artifactId>
				<version>2.0.9</version>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<build>
		<extensions>
			<extension>
				<groupId>org.apache.maven.wagon</groupId>
				<artifactId>wagon-webdav</artifactId>
				<version>1.0-beta-2</version>
			</extension>
		</extensions>
		<plugins>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-scm-plugin</artifactId>
				<version>1.9.1</version>
				<dependencies>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-provider-jazz</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-api</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-client</artifactId>
						<version>1.9.1</version>
					</dependency>
				</dependencies>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>2.5</version>
			</plugin>

			<plugin>
				<groupId>com.fortify.ps.maven.plugin</groupId>
				<artifactId>sca-maven-plugin</artifactId>
				<version>4.30</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<!-- <version>2.3.2</version> -->
				<version>3.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
				<executions>
					<execution>
						<id>log4j-plugin-processor</id>
						<goals>
							<goal>compile</goal>
						</goals>
						<phase>process-classes</phase>
						<configuration>
							<proc>only</proc>
							<annotationProcessors>
								<annotationProcessor>org.apache.logging.log4j.core.config.plugins.processor.PluginProcessor</annotationProcessor>
							</annotationProcessors>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<version>2.3.1</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>2.5</version>
				<configuration>
					<!-- specify UTF-8, ISO-8859-1 or any other file encoding -->
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<!-- <version>2.7.2</version> -->
				<version>2.12.4</version>
				<configuration>
					<systemPropertyVariables>
						<cds.test.groups>${cds.test.groups}</cds.test.groups>
					</systemPropertyVariables>
					<argLine>-Xmx512m</argLine>
					<disableXmlReport>false</disableXmlReport>
				</configuration>
			</plugin>
		</plugins>
		<pluginManagement>
			<plugins>
				<!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself. -->
				<plugin>
					<groupId>org.eclipse.m2e</groupId>
					<artifactId>lifecycle-mapping</artifactId>
					<version>1.0.0</version>
					<configuration>
						<lifecycleMappingMetadata>
							<pluginExecutions>
								<pluginExecution>
									<pluginExecutionFilter>
										<groupId>
											org.apache.maven.plugins
										</groupId>
										<artifactId>
											maven-compiler-plugin
										</artifactId>
										<versionRange>
											[3.1,)
										</versionRange>
										<goals>
											<goal>compile</goal>
										</goals>
									</pluginExecutionFilter>
									<action>
										<ignore />
									</action>
								</pluginExecution>
							</pluginExecutions>
						</lifecycleMappingMetadata>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>
	<distributionManagement>
		<repository>
			<id>internal</id>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/internal</url>
		</repository>
		<snapshotRepository>
			<id>snapshots</id>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/snapshots</url>
		</snapshotRepository>
		<site>
			<id>bob-website</id>
			<url> ${build.reports.outputsite}/<!-- ${project.version} --> </url>
		</site>
	</distributionManagement>
	<repositories>
		<repository>
			<id>internal</id>

			<name>Internal Repository</name>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/internal</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>snapshots</id>
			<name>Snapshots</name>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/snapshots</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>

</project>
